Subject: Re: [PATCH net-next] gro: move the tc_ext comparison to a helper

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Jun 2023 10:44:49 -0700

On Wed, 14 Jun 2023 14:23:21 +0200 Simon Horman wrote:
> I like your patch, and I think it is a good improvement,
> but I find the patch description slightly confusing.
> 
> In my understanding of things this patch is doing two things:
> 
> 1) Moving code into a helper
> 2) Eliminating a check on CONFIG_SKB_EXTENSIONS,
>    presumably because it is selected by NET_TC_SKB_EXT.

Ah, I thought removing the check for CONFIG_SKB_EXTENSIONS
is not worth mentioning. The double ifdefs I was talking about 
was the fact that we need an ifdef both around the variable
declarations and the comparisons themselves.

> But the patch description seems to conflate these.
> 
> In any case, code looks good.